Bug 225891 - security/cyrus-sasl2: Fails to build with OpenSSL 1.1
Summary: security/cyrus-sasl2: Fails to build with OpenSSL 1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hajimu UMEMOTO
URL:
Keywords:
Depends on:
Blocks: 228865
  Show dependency treegraph
 
Reported: 2018-02-14 13:59 UTC by Bernard Spil
Modified: 2018-06-16 06:21 UTC (History)
0 users

See Also:


Attachments
svn diff for security/cyrus-sasl (94.13 KB, text/plain)
2018-02-14 13:59 UTC, Bernard Spil
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-02-14 13:59:19 UTC
Created attachment 190615 [details]
svn diff for security/cyrus-sasl

```
security/cyrus-sasl: Unbreak build with openssl-devel

 - Backport from 2.1.27-rc7 OpenSSL 1.1 fixes
 - While here, fix WWW

PR:
```
See:
https://github.com/cyrusimap/cyrus-sasl/commit/4c8e3f24bb943386a67b4de65bb849f562499dd0
https://github.com/cyrusimap/cyrus-sasl/commit/1744e25dd2d4a4855f510fcba397e04fb4381d13
Comment 1 Bernard Spil freebsd_committer 2018-06-15 09:27:06 UTC
During BSDCan 2018 the intention to update OpenSSL in base to 1.1.x branch was documented.

Intention is to update 12-STABLE to current 1.1.0 and subsequently update it to 1.1.1 when that is released. The intent to update OpenSSL to 1.1 in 12 has now officially been documented in Bug #228912
Comment 2 Bernard Spil freebsd_committer 2018-06-15 09:30:23 UTC
Build successful with openssl-devel-1.1.0h from ports: https://keg.brnrd.eu/data/111amd64-default-openssl110/2018-06-11_10h42m37s/logs/cyrus-sasl-2.1.26_13.log
Comment 3 commit-hook freebsd_committer 2018-06-16 06:17:53 UTC
A commit references this bug:

Author: ume
Date: Sat Jun 16 06:16:52 UTC 2018
New revision: 472519
URL: https://svnweb.freebsd.org/changeset/ports/472519

Log:
  - Backport from 2.1.27-rc7 OpenSSL 1.1 fixes
  - Fix WWW

  PR:		225891
  Submitted by:	brnrd

Changes:
  head/security/cyrus-sasl2/files/patch-Makefile.am
  head/security/cyrus-sasl2/files/patch-crypto-compat.c
  head/security/cyrus-sasl2/files/patch-crypto-compat.h
  head/security/cyrus-sasl2/files/patch-lib_Makefile.am
  head/security/cyrus-sasl2/files/patch-plugins_Makefile.am
  head/security/cyrus-sasl2/files/patch-plugins_ntlm.c
  head/security/cyrus-sasl2/files/patch-plugins_otp.c
  head/security/cyrus-sasl2/files/patch-plugins_passdss.c
  head/security/cyrus-sasl2/files/patch-plugins_srp.c
  head/security/cyrus-sasl2/files/patch-saslauthd_Makefile.am
  head/security/cyrus-sasl2/files/patch-saslauthd_lak.c
  head/security/cyrus-sasl2/pkg-descr
Comment 4 Hajimu UMEMOTO freebsd_committer 2018-06-16 06:21:24 UTC
Thanks,committed!